
package de.ivu.elect.presentation.stimmeingabe.action;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.stimmeingabe.entity.StimmeingabeGruppeStimmen;
import de.ivu.elect.jee.presentation.action.AbstractActionMenuModelBuilder;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Named(StimmeingabeGruppeStimmenActionMenu.COMPONENT_NAME)
public class StimmeingabeGruppeStimmenActionMenu extends AbstractActionMenuModelBuilder<StimmeingabeGruppeStimmen> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "stimmeingabeGruppeStimmenActionMenu";

  @Inject
  private transient StimmeingabeListenkandidaturStimmenErfassenAction stimmeingabeListenkandidaturStimmenErfassenAction;

  public StimmeingabeGruppeStimmenActionMenu() {
    super();
  }

  @Override
  protected List<ActionEntry<StimmeingabeGruppeStimmen>> getActionEntriesSorted() {
    List<ActionEntry<StimmeingabeGruppeStimmen>> result = new ArrayList<>();

    result.add(stimmeingabeListenkandidaturStimmenErfassenAction);

    return result;
  }
}
